Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Cartridge::Profile::System

struct Nes::Api::Cartridge::Profile::System

System context.

Inner Classes, Typedefs, and Enums
`enum` | `Nes::Api::Cartridge::Profile::System::Cpu` CPU type.
`enum` | `Nes::Api::Cartridge::Profile::System::Ppu` PPU type.
`enum` | `Nes::Api::Cartridge::Profile::System::Type` System Type.

Field Summary
`Nes::Api::Cartridge::Profile::System::Cpu` | `cpu` CPU type.
`Nes::Api::Cartridge::Profile::System::Ppu` | `ppu` PPU type.
`Nes::Api::Cartridge::Profile::System::Type` | `type` System type.

Constructor Summary
`System()`

Field Detail

### cpu

    public Nes::Api::Cartridge::Profile::System::Cpu cpu;

  CPU type.

### ppu

    public Nes::Api::Cartridge::Profile::System::Ppu ppu;

  PPU type.

### type

    public Nes::Api::Cartridge::Profile::System::Type type;

  System type.

Constructor Detail

### System

    public System() throw();

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD